Package org.h2.store.fs.mem

# Class FilePathMemLZF

java.lang.Object
org.h2.store.fs.FilePath
org.h2.store.fs.mem.FilePathMem
org.h2.store.fs.mem.FilePathMemLZF

public class FilePathMemLZF extends FilePathMem
A memory file system that compresses blocks to conserve memory.

## Field Summary

### Fields inherited from class org.h2.store.fs.FilePath

`name`

## Constructor Summary

Constructors
Constructor
Description
`FilePathMemLZF()`

## Method Summary

Modifier and Type
Method
Description
`FilePathMem`
`getPath(String path)`
Convert a file to a path.
`String`
`getScheme()`
Get the scheme (prefix) for this file provider.

### Methods inherited from class org.h2.store.fs.mem.FilePathMem

`canWrite, createDirectory, createFile, delete, exists, getCanonicalPath, getParent, isAbsolute, isDirectory, isRegularFile, lastModified, moveTo, newDirectoryStream, open, setReadOnly, size, toRealPath`

### Methods inherited from class org.h2.store.fs.FilePath

`createTempFile, get, getName, newFileChannelOutputStream, newInputStream, newOutputStream, register, toString, unregister, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FilePathMemLZF

public FilePathMemLZF()

## Method Details

### getPath

public FilePathMem getPath(String path)
Description copied from class: `FilePath`
Convert a file to a path. This is similar to `java.nio.file.spi.FileSystemProvider.getPath`, but may return an object even if the scheme doesn't match in case of the default file provider.

Overrides:
  `getPath` in class `FilePathMem`
Parameters:
  `path` - the path
Returns:
  the file path object

### getScheme

public String getScheme()
Description copied from class: `FilePath`
Get the scheme (prefix) for this file provider. This is similar to `java.nio.file.spi.FileSystemProvider.getScheme`.

Overrides:
  `getScheme` in class `FilePathMem`
Returns:
  the scheme